Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class DefaultIndirectEvaluation

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultEvaluationMethod
AbstractDataEvaluation
DefaultIndirectEvaluation

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

@UML(identifier="DQ_IndirectEvaluation", specification=UNSPECIFIED) public class DefaultIndirectEvaluation extends AbstractDataEvaluation
Indirect evaluation. The following properties are mandatory in a well-formed metadata according ISO 19157:
`DQ_IndirectEvaluation` `└─deductiveSource……………` Information on which data are used as sources in deductive evaluation method.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultIndirectEvaluation()`
  Constructs an initially empty descriptive result.
  `DefaultIndirectEvaluation(CharSequence source)`
  Creates a conformance result initialized to the given values.
  `DefaultIndirectEvaluation(DefaultIndirectEvaluation object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getDeductiveSource()`
  Returns the information on which data are used as sources in deductive evaluation method.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `void`
  `setDeductiveSource(InternationalString newValue)`
  Sets the information on which data are used as sources in deductive evaluation method.

  ### Methods inherited from class DefaultEvaluationMethod

  `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getReferenceDocuments, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setReferenceDocuments`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultIndirectEvaluation

    public DefaultIndirectEvaluation()
    Constructs an initially empty descriptive result.

  - ### DefaultIndirectEvaluation

    public DefaultIndirectEvaluation(CharSequence source)
    Creates a conformance result initialized to the given values.
    Parameters:
      `source` - information on which data are used as sources, or `null`.

  - ### DefaultIndirectEvaluation

    public DefaultIndirectEvaluation(DefaultIndirectEvaluation object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getDeductiveSource

    @UML(identifier="deductiveSource", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getDeductiveSource()
    Returns the information on which data are used as sources in deductive evaluation method.
    Returns:
      information on which data are used.

  - ### setDeductiveSource

    public void setDeductiveSource(InternationalString newValue)
    Sets the information on which data are used as sources in deductive evaluation method.
    Parameters:
      `newValue` - the new information.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.